Skip to main content
DELETE
/
api-creds
/
credentials
/
{client_id}
Delete API Credentials
curl --request DELETE \
  --url https://api.paxos.com/v2/api-creds/credentials/{client_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/api-creds/credentials/{client_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/api-creds/credentials/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "credentials": {
    "id": "<string>",
    "customer_id": "<string>",
    "client_id": "<string>",
    "client_public_keys": [
      {
        "algorithm": "<string>",
        "public_key": "<string>",
        "nickname": "<string>",
        "id": "<string>",
        "client_id": "<string>",
        "active": true
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "nickname": "<string>",
    "ip_allowlist": [
      "<string>"
    ],
    "enforce_request_signing": true,
    "client_scopes": [
      "<string>"
    ],
    "created_by": "<string>"
  }
}
OAuth Scope
api_creds:delete_credentials

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Path Parameters

client_id
string
required

The client_id of the credentials to delete.

Response

200 - application/json

A successful response.

credentials
object